Class | Prawn::ObjectStore
In: | lib/prawn/object_store.rb
Parent: | Object

### Methods

<< [] each length new push ref size

### Included Modules

Enumerable

### Public Class methods

new(info={})

### Public Instance methods

<<(*args, &block)

Alias for push

[](id)
each() {|@objects[id]| ...}
length()

Alias for size

push(*args, &block)

Adds the given reference to the store and returns the reference object. If the object provided is not a Prawn::Reference, one is created from the arguments provided.

ref(data, &block)
size()

[Validate]